Wallet issues on Ubuntu 16.04

  • hello,

    i try to install with putty: make -f makefile.unix # Headless

    /bin/sh ../share/genbuild.sh obj/build.h
    g++ -O2 -pthread -Wall -Wextra -Wno-ignored-qualifiers -Wformat -Wformat-securi ty -Wno-unused-parameter -Wunused-function -Wunused-variable -fpermissive -Wconv ersion-null -g -DBOOST_SPIRIT_THREADSAFE -I/home/bitrad/Bitradio/src -I/home/bit rad/Bitradio/src/obj -DUSE_UPNP=0 -DUSE_IPV6=1 -DENABLE_WALLET -I/home/bitrad/Bi tradio/src/secp256k1/include -I/home/bitrad/Bitradio/src/leveldb/include -I/home /bitrad/Bitradio/src/leveldb/helpers -DHAVE_BUILD_INFO -fno-stack-protector -fst ack-protector-all -Wstack-protector -D_FORTIFY_SOURCE=2 -o Bitradiod obj/alert. o obj/allocators.o obj/version.o obj/support/cleanse.o obj/checkpoints.o obj/net base.o obj/addrman.o obj/base58.o obj/crypter.o obj/key.o obj/pubkey.o obj/ecwra pper.o obj/init.o obj/bitcoind.o obj/keystore.o obj/core.o obj/main.o obj/net.o obj/protocol.o obj/rpcclient.o obj/rpcprotocol.o obj/rpcserver.o obj/rpcmisc.o o bj/rpcnet.o obj/rpcblockchain.o obj/rpcrawtransaction.o obj/rpcsmessage.o obj/sc ript.o obj/scrypt.o obj/sync.o obj/txmempool.o obj/util.o obj/hash.o obj/noui.o obj/kernel.o obj/pbkdf2.o obj/chainparams.o obj/stealth.o obj/activemasternode.o obj/darksend.o obj/darksend-relay.o obj/instantx.o obj/masternodeconfig.o obj/m asternodeman.o obj/masternode.o obj/masternode-payments.o obj/rpcdarksend.o obj/ spork.o obj/crypto/hmac_sha256.o obj/crypto/hmac_sha512.o obj/crypto/ripemd160.o obj/crypto/sha1.o obj/crypto/sha256.o obj/crypto/sha512.o obj/smessage.o obj/cu behash.o obj/luffa.o obj/aes_helper.o obj/echo.o obj/shavite.o obj/simd.o obj/bl ake.o obj/bmw.o obj/groestl.o obj/jh.o obj/keccak.o obj/skein.o obj/db.o obj/min er.o obj/rpcdump.o obj/rpcmining.o obj/rpcwallet.o obj/wallet.o obj/walletdb.o o bj/txdb-leveldb.o secp256k1/src/libsecp256k1_la-secp256k1.o -Wl,-z,relro -Wl,-z, now -Wl,-Bdynamic -Wl,-Bdynamic -l boost_system -l boost_filesystem -l boost_p rogram_options -l boost_thread -l db_cxx -l ssl -l gmp -l crypto -l miniupnpc -W l,-Bdynamic -l z -l dl -l pthread /home/bitrad/Bitradio/src/leveldb/libleveldb.a /home/bitrad/Bitradio/src/leveldb/libmemenv.a
    /usr/bin/ld: cannot find -lgmp
    collect2: error: ld returned 1 exit status
    makefile.unix:231: recipe for target 'Bitradiod' failed
    make: *** [Bitradiod] Error 1

  • can you help me, please? something is missing.

  • solution:

    sudo apt-get install libgmp3-dev

    but now:

    collect2: error: ld returned 1 exit status
    makefile.unix:231: recipe for target 'Bitradiod' failed

  • Debian? i am on ubuntu.

    finally it seems to work.

    too many guides here and something was missing

  • @gmv2 Ubuntu is a distro "Debian based"
    you can try to compile all from scratch see on https://github.com/thebitradio/Bitradio/blob/master/doc/build-unix.md i do it from there, i have Ubuntu 16.04 LTS

Log in to reply

Looks like your connection to Bitrad.io was lost, please wait while we try to reconnect.